#
# spec file for package emacs-w3
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           emacs-w3
BuildRequires:  emacs-nox
%define short_name w3
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
Provides:       w3 emacs_w3
Obsoletes:      emacs_w3
Requires:       emacs
Summary:        Emacs/W3--a WWW Browser for Emacs
Version:        cvs
Release:        819.23
# Original source: ftp://ftp.xemacs.org/pub/xemacs/emacs-w3/w3-4.0pre.46.tar.gz
#+ Source: ftp://ftp.xemacs.org/pub/xemacs/emacs-w3/w3-%{version}.tar.bz2
# CVS: :pserver:anoncvs@subversions.gnu.org:/cvs
# tar cjvf emacs-w3-cvs.tar.bz2 --exclude='*CVS*' --exclude='*.elc' w3
Source:         emacs-w3-cvs.tar.bz2
Source1:        suse-start-w3.el
Source2:        %{name}-README.SuSE
Patch0:         emacs_w3.dif
Patch1:         backquote.diff
# http://www.teu.ac.jp/nsit/%7Eyatagawa/comp/emacs/w3-4.0pre.46-mule-sysdp.el.patch
Patch2:         w3-4.0pre.46-mule-sysdp.el.patch
# http://article.gmane.org/gmane.emacs.devel/60013
Patch3:         w3-fetch-callback.diff
Patch4:         flavour.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
PreReq:         %install_info_prereq

%description
A Web browser for Emacs implemented in Emacs Lisp.

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644

%prep
%setup0 -n %{short_name}
cp -p %{SOURCE1} .
cp -p %{SOURCE2} README.SuSE
%patch0 -p1
%patch1
# %patch2 -p0
%patch3
%patch4
# autoconf

%build
EMACS_VERSION=$(emacs --no-site --batch --eval \
  '(princ (format "%s.%s" emacs-major-version emacs-minor-version)))')
%configure \
            --with-lispdir=%{_prefix}/share/emacs/site-lisp/%{short_name} \
            --datadir=%{_prefix}/share/emacs/%{short_name}
rm -f lisp/*elc
make %{?_smp_mflags}

%install
make install prefix="$RPM_BUILD_ROOT%{_prefix}" \
     infodir="$RPM_BUILD_ROOT%{_infodir}" \
     lispdir="$RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/%{short_name}" \
     datadir="$RPM_BUILD_ROOT%{_prefix}/share/emacs/%{short_name}"
%{INSTALL_DATA} suse-start-%{short_name}.el \
     $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/suse-start-%{short_name}.el

%post
%install_info --info-dir=%{_infodir} %{_infodir}/w3.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/w3.info.gz

%files
%defattr(-, root, root)
%doc BUGS INSTALL HOWTO README TODO
%doc contrib
%doc dot.emacs
%config %{_prefix}/share/emacs/site-lisp/suse-start-%{short_name}.el
%{_prefix}/share/emacs/site-lisp/%{short_name}
%{_infodir}/%{short_name}*
%{_prefix}/share/emacs/%{short_name}

%changelog
* Mon Jul  2 2012 werner@suse.de
- (condition-case ...) and (eval-when (compile) ...) will not work
  together
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Wed Aug 20 2008 schwab@suse.de
- Convert old-style backquote.
* Sat Apr 12 2008 schwab@suse.de
- Remove socks.el, already included in Emacs.
* Wed May 30 2007 schwab@suse.de
- The url package is now part of emacs.
- Fix spurious executable bits.
* Tue Sep 19 2006 schwab@suse.de
- Handle new url-retrieve callback interface in Emacs 22.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Mon Dec 15 2003 ke@suse.de
- Don't gzip info file manually.
* Tue May 20 2003 ke@suse.de
- Update to current CVS version.
- Don't install "CVS" directory.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 18 2003 schwab@suse.de
- Don't require url in suse-start-w3.
* Fri Feb  7 2003 ke@suse.de
- Use install_info macro [# 23406].
* Tue Nov 20 2001 ke@suse.de
- Rename package: emacs_w3 -> emacs-w3.
* Fri Nov 16 2001 ke@suse.de
- Cleanup spec file.
- Require emacs-url.
- Rename suse-start-emacs_w3.el to suse-start-w3.el (side effect:
  suse-start-url.el is loaded before).
- Add README.SuSE.
* Wed Nov 14 2001 ke@suse.de
- Update to CVS version 2001-11-14.
- Use emacs-nox.
- Cleanup spec file.
* Mon Oct 15 2001 mfabian@suse.de
- add w3-4.0pre.46-mule-sysdp.el.patch to make it work with
  Emacs 20.*/MULE 4.1.
- bzip2 sources
* Tue Mar 13 2001 ro@suse.de
- added emacs-x11 to neededforbuild.
* Thu Mar  8 2001 uli@suse.de
- added xshared to neededforbuild
* Fri Nov 17 2000 ro@suse.de
- ge_exec -> emacs
* Fri Apr  7 2000 ke@suse.de
- Use an "official" Group tag: Applications/Internet.
- ./configure -> %%build.
- Provide /usr/share/emacs/site-lisp/suse-start-emacs_w3.el to make it
  start automatically.
* Sun Feb 27 2000 kukuk@suse.de
- Fix typo in spec file
* Fri Feb 25 2000 kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Wed Nov 17 1999 ke@suse.de
- update: 4.0pre46.
* Fri Nov  5 1999 ke@suse.de
- better configuration hint in /usr/doc/packages/emacs_w3/dot.emacs.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 28 1999 ke@suse.de
- update: 4.0.pre44.
* Fri Dec 18 1998 ke@suse.de
- update: 4.0pre32.
* Tue Dec  1 1998 ke@suse.de
- update: 4.0pre30.
* Fri Nov 27 1998 ke@suse.de
- update: 4.0pre27.
* Mon Oct 26 1998 ke@suse.de
- update: 4.0pre25.
* Tue Sep 15 1998 ke@suse.de
- adjust paths for Emacs 20.3.
* Mon Jul 27 1998 bs@suse.de
- added export LC_CTYPE=ISO-8859-1 to build section - emacs needs it.
* Wed Jul 15 1998 ke@suse.de
- Initial version: 4.0pre.23.
